Bug 1973318 - Image pruner does not use custom tolerations
Summary: Image pruner does not use custom tolerations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1973662
TreeView+ depends on / blocked
 
Reported: 2021-06-17 15:48 UTC by Oleg Bulatov
Modified: 2022-10-12 03:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The operator to check if the registry should use custom tolerations was checking spec.nodeSelector instead of spec.tolerations. Consequence: The custom tolerations from spec.tolerations are applied only when spec.nodeSelector is set. Fix: Use the field spec.tolerations to check presence of custom tolerations. Result: The operator uses custom tolerations if spec.tolerations are set.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:35:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 694 0 None open Bug 1973318: Properly set custom tolerations 2021-06-17 15:49:26 UTC
Red Hat Knowledge Base (Solution) 6155262 0 None None None 2021-06-30 17:30:36 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:35:44 UTC

Description Oleg Bulatov 2021-06-17 15:48:50 UTC
Description of problem:

When custom tolerations are set via the imagepruner resource, the operator doesn't propagete them into the cronjob.

Version-Release number of selected component (if applicable):

4.8

How reproducible:

Always

Steps to Reproduce:
1. set spec.tolerations on imagepruner

Actual results:

The image pruner cron job uses these tolerations.

Expected results:

Default tolerations are always used.

Additional info:

Comment 2 Wenjing Zheng 2021-06-25 06:35:50 UTC
Verified on 4.9.0-0.nightly-2021-06-24-123715:
  spec:
    failedJobsHistoryLimit: 3
    ignoreInvalidImageReferences: true
    keepTagRevisions: 3
    logLevel: Normal
    schedule: '* * * * *'
    successfulJobsHistoryLimit: 3
    suspend: false
    tolerations:
    - effect: NoSchedule
      key: key
      operator: Equal
      value: value

Comment 7 errata-xmlrpc 2021-10-18 17:35:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.